Subject: Re: [dhcwg] draft-ietf-dhc-leasequery-06 clarification

From: Kim Kinnear <[email-masked]>
Date: Mon, 01 Dec 2003 10:42:25 -0500

At 12:42 PM 11/27/2003, Kostur, Andre wrote:

>I think that the draft has a potential ambiguity in handling option 82 in the leasequery replies. 
>
>RFC 3046 mandates that option 82 SHOULD be the last option in the reply packet.  The leasequery draft only says that it will be included in the packet if the relay requested option 82 (and assuming that the DHCP server has information to put in option 82).
>
>So, from a leasequery perspective, if the server has data to put in option 82, where should the draft specify that the option should be placed within the packet?  Should it also specify that option 82 SHOULD be the last option within the packet, and may not be placed in the overloaded fields?  Or should the draft specify that option 82 within the leasequery reply may be anywhere within the options field?
>
>My opinion on the matter: I think that the presence of option 82 within a leasequery reply serves a different purpose that the presence of option 82 within a "normal" DHCP reply.  Within a normal reply, option 82 needs to be able to be removed by the Relay without potentially disrupting any 3118 authentication that may be in use.  Also option 82 may be carrying some sort of "routing" information for where this reply is really destined for (which circuit ID, which remote ID, etc).  However in a leasequery reply the presence of option 82 is simply "dead data" that is being passed from the DHCP server to the relay.  It has no more significance within the packet than the presence of, say, option 3.  Given these points, I would suggest that the draft specify that the option 82 inserted in a leasequery reply does not have to follow the rules of 3046, but is to be handled like any other option (order & positioning is irrelevant, it may be placed in overloads, etc...).

        I agree with your analysis.  I would expect that we could
        add a sentence or two to clarify this situation as part
        of the IETF last call comment handling.

>And come to think of it, another wrinkle within this mechanism: what would be the correct behaviour for a DHCP server which receives a leasequery that has an option 82?  According to 3046, the DHCP server would be required to echo it back to the client, but that would overwrite (or append to) the existing option 82 (which is the one that was being sent back as part of the leasequery reply).  Should the draft specify that a relay MUST NOT supply an option 82 in its leasequery?

        I would say that the leasequery client SHOULD NOT supply
        an option-82 in the leasequery request, and that the
        server MUST NOT echo it in the leasequery reply if one
        came in.

        Another sentence which I believe we can add when the time
        comes.

        Thanks for thinking through some of these edge conditions.

        Cheers -- Kim

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg